import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { CreateChannelCommandInput, CreateChannelCommandOutput } from "../commands/CreateChannelCommand";
import { CreateChannelGroupCommandInput, CreateChannelGroupCommandOutput } from "../commands/CreateChannelGroupCommand";
import { CreateOriginEndpointCommandInput, CreateOriginEndpointCommandOutput } from "../commands/CreateOriginEndpointCommand";
import { DeleteChannelCommandInput, DeleteChannelCommandOutput } from "../commands/DeleteChannelCommand";
import { DeleteChannelGroupCommandInput, DeleteChannelGroupCommandOutput } from "../commands/DeleteChannelGroupCommand";
import { DeleteChannelPolicyCommandInput, DeleteChannelPolicyCommandOutput } from "../commands/DeleteChannelPolicyCommand";
import { DeleteOriginEndpointCommandInput, DeleteOriginEndpointCommandOutput } from "../commands/DeleteOriginEndpointCommand";
import { DeleteOriginEndpointPolicyCommandInput, DeleteOriginEndpointPolicyCommandOutput } from "../commands/DeleteOriginEndpointPolicyCommand";
import { GetChannelCommandInput, GetChannelCommandOutput } from "../commands/GetChannelCommand";
import { GetChannelGroupCommandInput, GetChannelGroupCommandOutput } from "../commands/GetChannelGroupCommand";
import { GetChannelPolicyCommandInput, GetChannelPolicyCommandOutput } from "../commands/GetChannelPolicyCommand";
import { GetOriginEndpointCommandInput, GetOriginEndpointCommandOutput } from "../commands/GetOriginEndpointCommand";
import { GetOriginEndpointPolicyCommandInput, GetOriginEndpointPolicyCommandOutput } from "../commands/GetOriginEndpointPolicyCommand";
import { ListChannelGroupsCommandInput, ListChannelGroupsCommandOutput } from "../commands/ListChannelGroupsCommand";
import { ListChannelsCommandInput, ListChannelsCommandOutput } from "../commands/ListChannelsCommand";
import { ListOriginEndpointsCommandInput, ListOriginEndpointsCommandOutput } from "../commands/ListOriginEndpointsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { PutChannelPolicyCommandInput, PutChannelPolicyCommandOutput } from "../commands/PutChannelPolicyCommand";
import { PutOriginEndpointPolicyCommandInput, PutOriginEndpointPolicyCommandOutput } from "../commands/PutOriginEndpointPolicyCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateChannelCommandInput, UpdateChannelCommandOutput } from "../commands/UpdateChannelCommand";
import { UpdateChannelGroupCommandInput, UpdateChannelGroupCommandOutput } from "../commands/UpdateChannelGroupCommand";
import { UpdateOriginEndpointCommandInput, UpdateOriginEndpointCommandOutput } from "../commands/UpdateOriginEndpointCommand";
/**
 * serializeAws_restJson1CreateChannelCommand
 */
export declare const se_CreateChannelCommand: (input: CreateChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateChannelGroupCommand
 */
export declare const se_CreateChannelGroupCommand: (input: CreateChannelGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateOriginEndpointCommand
 */
export declare const se_CreateOriginEndpointCommand: (input: CreateOriginEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelCommand
 */
export declare const se_DeleteChannelCommand: (input: DeleteChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelGroupCommand
 */
export declare const se_DeleteChannelGroupCommand: (input: DeleteChannelGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelPolicyCommand
 */
export declare const se_DeleteChannelPolicyCommand: (input: DeleteChannelPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteOriginEndpointCommand
 */
export declare const se_DeleteOriginEndpointCommand: (input: DeleteOriginEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteOriginEndpointPolicyCommand
 */
export declare const se_DeleteOriginEndpointPolicyCommand: (input: DeleteOriginEndpointPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetChannelCommand
 */
export declare const se_GetChannelCommand: (input: GetChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetChannelGroupCommand
 */
export declare const se_GetChannelGroupCommand: (input: GetChannelGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetChannelPolicyCommand
 */
export declare const se_GetChannelPolicyCommand: (input: GetChannelPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetOriginEndpointCommand
 */
export declare const se_GetOriginEndpointCommand: (input: GetOriginEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetOriginEndpointPolicyCommand
 */
export declare const se_GetOriginEndpointPolicyCommand: (input: GetOriginEndpointPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelGroupsCommand
 */
export declare const se_ListChannelGroupsCommand: (input: ListChannelGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelsCommand
 */
export declare const se_ListChannelsCommand: (input: ListChannelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListOriginEndpointsCommand
 */
export declare const se_ListOriginEndpointsCommand: (input: ListOriginEndpointsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutChannelPolicyCommand
 */
export declare const se_PutChannelPolicyCommand: (input: PutChannelPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutOriginEndpointPolicyCommand
 */
export declare const se_PutOriginEndpointPolicyCommand: (input: PutOriginEndpointPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateChannelCommand
 */
export declare const se_UpdateChannelCommand: (input: UpdateChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateChannelGroupCommand
 */
export declare const se_UpdateChannelGroupCommand: (input: UpdateChannelGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateOriginEndpointCommand
 */
export declare const se_UpdateOriginEndpointCommand: (input: UpdateOriginEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1CreateChannelCommand
 */
export declare const de_CreateChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelCommandOutput>;
/**
 * deserializeAws_restJson1CreateChannelGroupCommand
 */
export declare const de_CreateChannelGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelGroupCommandOutput>;
/**
 * deserializeAws_restJson1CreateOriginEndpointCommand
 */
export declare const de_CreateOriginEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateOriginEndpointCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelCommand
 */
export declare const de_DeleteChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelGroupCommand
 */
export declare const de_DeleteChannelGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelGroupCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelPolicyCommand
 */
export declare const de_DeleteChannelPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelPolicyCommandOutput>;
/**
 * deserializeAws_restJson1DeleteOriginEndpointCommand
 */
export declare const de_DeleteOriginEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteOriginEndpointCommandOutput>;
/**
 * deserializeAws_restJson1DeleteOriginEndpointPolicyCommand
 */
export declare const de_DeleteOriginEndpointPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteOriginEndpointPolicyCommandOutput>;
/**
 * deserializeAws_restJson1GetChannelCommand
 */
export declare const de_GetChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelCommandOutput>;
/**
 * deserializeAws_restJson1GetChannelGroupCommand
 */
export declare const de_GetChannelGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelGroupCommandOutput>;
/**
 * deserializeAws_restJson1GetChannelPolicyCommand
 */
export declare const de_GetChannelPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelPolicyCommandOutput>;
/**
 * deserializeAws_restJson1GetOriginEndpointCommand
 */
export declare const de_GetOriginEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetOriginEndpointCommandOutput>;
/**
 * deserializeAws_restJson1GetOriginEndpointPolicyCommand
 */
export declare const de_GetOriginEndpointPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetOriginEndpointPolicyCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelGroupsCommand
 */
export declare const de_ListChannelGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelGroupsCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelsCommand
 */
export declare const de_ListChannelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelsCommandOutput>;
/**
 * deserializeAws_restJson1ListOriginEndpointsCommand
 */
export declare const de_ListOriginEndpointsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListOriginEndpointsCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1PutChannelPolicyCommand
 */
export declare const de_PutChannelPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutChannelPolicyCommandOutput>;
/**
 * deserializeAws_restJson1PutOriginEndpointPolicyCommand
 */
export declare const de_PutOriginEndpointPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutOriginEndpointPolicyCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateChannelCommand
 */
export declare const de_UpdateChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelCommandOutput>;
/**
 * deserializeAws_restJson1UpdateChannelGroupCommand
 */
export declare const de_UpdateChannelGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelGroupCommandOutput>;
/**
 * deserializeAws_restJson1UpdateOriginEndpointCommand
 */
export declare const de_UpdateOriginEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateOriginEndpointCommandOutput>;
